EXEC [__AddStoredProcInfo]
    /* StoredProc_Name         */ 'Feeds_GetFeed',
    /* Internal_Indicator      */ 'N',
    /* ReturnType_Name         */ 'DataRow',
    /* DataTableNames_Csv      */ 'Feeds',
    /* OutputPropertyNames_Csv */ NULL,
    /* Description_Text        */ 'Gets the details of a feed by either name or ID.'
GO

IF OBJECT_ID('[Feeds_GetFeed]') IS NOT NULL DROP PROCEDURE [Feeds_GetFeed]
GO

SET QUOTED_IDENTIFIER ON
GO

CREATE PROCEDURE [Feeds_GetFeed]
(
	@Feed_Id INT = NULL,
	@Feed_Name NVARCHAR(50) = NULL
)
AS
BEGIN

	SET NOCOUNT ON

	SELECT *
	  FROM [Feeds]
	 WHERE (@Feed_Id IS NOT NULL AND [Feed_Id] = @Feed_Id)
	    OR (@Feed_Id IS NULL AND [Feed_Name] = @Feed_Name)

END
GO

GRANT EXECUTE ON [Feeds_GetFeed] TO [ProGetUser_Role]
GO
