EXEC [__AddStoredProcInfo]
    /* StoredProc_Name         */ 'NpmConnectors_DeleteIndex',
    /* Internal_Indicator      */ 'Y',
    /* ReturnType_Name         */ 'void',
    /* DataTableNames_Csv      */ NULL,
    /* OutputPropertyNames_Csv */ NULL,
    /* Description_Text        */ 'Deletes the index for an npm connector.'
GO

IF OBJECT_ID('[NpmConnectors_DeleteIndex]') IS NOT NULL DROP PROCEDURE [NpmConnectors_DeleteIndex]
GO

SET QUOTED_IDENTIFIER ON
GO

CREATE PROCEDURE [NpmConnectors_DeleteIndex]
(
	@Connector_Id INT
)
AS BEGIN

SET NOCOUNT ON

BEGIN TRY
	BEGIN TRANSACTION

	DELETE [NpmConnectorPackages]
	  WITH (TABLOCK)
	 WHERE [Connector_Id] = @Connector_Id

	UPDATE [Connectors]
	   SET [IndexUpdated_Date] = NULL
	 WHERE [Connector_Id] = @Connector_Id

	COMMIT
END TRY BEGIN CATCH
	IF XACT_STATE()<>0 ROLLBACK
	EXEC [HandleError]
END CATCH

END
GO

GRANT EXECUTE ON [NpmConnectors_DeleteIndex] TO [ProGetUser_Role]
GO
